Skip to content
API referenceConsumerBilling

Google_submit_purchase

POST
/consumer/v1/billing/google/purchases

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/consumer/v1/billing/google/purchases" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "package_name": "string",    "product_id": "string",    "purchase_token": "string"  }'
{  "pending_review": true,  "status": "pending",  "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}